View Single Post
Old 02-16-04, 04:24 AM   #1
sergey akifiev
Registered User
 
Join Date: Jan 2004
Posts: 7
Send a message via ICQ to sergey akifiev
Default problem installing 5336 drivers on 2.6.2 kernel

i cannot install NVIDIA-Linux-x86-1.0-5336-pkg1 on debian testing/unstable system.
sergey@sergey:~$ uname -a
Linux sergey 2.6.2-1-686 #1 Mon Feb 9 19:37:13 CET 2004 i686 GNU/Linux
installtor always bails out with `ERROR: Unable to determine the NVIDIA kernel module filename.' message.
small program, used by installer to determine kernel version/sources path/etc builds fine by hands
sergey@sergey:~$ cat tst.c
#include "linux/version.h"
int main() {
if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,0)) {
return 0;
}
else {
return 1;
}
}
sergey@sergey:~$ gcc tst.c -o tst -nostdinc -I /usr/src/linux/include
sergey@sergey:~$ ./tst; echo $?
0

but installer couldn't find builded program for some reason. what can i do to fix this situaton?
sergey akifiev is offline   Reply With Quote